TYPOS3 Core - Task #67790

Refactoring of QueryGenerator Part 2
2015-06-27 21:51 - Frank Naegler

Status: Closed Start date: 2015-06-27
Priority: Should have Due date:

Assignee: Frank Naegler % Done: 100%
Category: Backend User Interface Estimated time: 0.00 hour
Target version: 7.4 (Backend)

TYPO3 Version: 7 Complexity:

PHP Version: Sprint Focus: Remote Sprint
Tags:

Description

Next step of QueryGenerator Refactoring.

Main goals:

Remove all inline JavaScript

Remove usage of TBE_EDITOR
Introduce QueryGenerator AMD module
Improve HTML output

Improve Styling

Related issues:
Related to TYPO3 Core - Task #67769: Refactoring of QueryGenerator

Closed 2015-06-26

Associated revisions

Revision 68b7d322 - 2015-06-29 22:18 - Frank Naegler
[TASK] Refactoring of the QueryGenerator Interface Part 2

Next step of QueryGenerator Refactoring.

Main goals:

- Remove all inline JavaScript

- Remove usage of TBE_EDITOR

- Introduce QueryGenerator AMD module
- Improve HTML output

- Improve styling

- Use htmispecialchars for all output

Resolves: #67790

Releases: master

Change-1d: 10a4f6ecf52e226{49f434ad8d472a969cb3b160b
Reviewed-on: http://review.typo3.org/40694

Reviewed-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>

History

#1 - 2015-06-27 22:21 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40694

#2 - 2015-06-28 13:24 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40694
#3 - 2015-06-28 20:07 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40694

#4 - 2015-06-29 22:30 - Frank Naegler
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100
Applied in changeset 68b7d32292a4be4dd8606881b254{7¢1825febcf.

#5 - 2017-10-19 21:38 - Riccardo De Contardi

- Status changed from Resolved to Closed
